From 876d96d3b7990febf2115cd9c6dddf3f437491a5 Mon Sep 17 00:00:00 2001
From: Ed Catmur <ed@catmur.co.uk>
Date: Sun, 14 Apr 2013 17:01:14 +0100
Subject: [PATCH] Fix crash if zero-length string in INPUT

https://bugzilla.gnome.org/show_bug.cgi?id=698007
---
 src/doxygen.cpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/doxygen.cpp b/src/doxygen.cpp
index f88972f..acfc39e 100644
--- a/src/doxygen.cpp
+++ b/src/doxygen.cpp
@@ -10063,6 +10063,7 @@ void searchInputFiles(StringList &inputFiles)
   {
     QCString path=s;
     uint l = path.length();
+    if (!l) { s=inputList.next(); continue; }
     // strip trailing slashes
     if (path.at(l-1)=='\\' || path.at(l-1)=='/') path=path.left(l-1);
 
-- 
1.8.1.5

